GDB (xrefs)

Macros | Enumerations
/tmp/gdb-8.1/gdb/vax-tdep.h File Reference

Go to the source code of this file.

## Macros
#define | VAX_NUM_REGS 17

## Enumerations
enum | vax_regnum { VAX_R0_REGNUM, VAX_R1_REGNUM, VAX_AP_REGNUM = 12, VAX_FP_REGNUM, VAX_SP_REGNUM, VAX_PC_REGNUM, VAX_PS_REGNUM }

## Macro Definition Documentation

## ◆ VAX_NUM_REGS

#define VAX_NUM_REGS 17

Definition at line 37 of file vax-tdep.h.

Referenced by vax_gdbarch_init(), vax_iterate_over_regset_sections(), vax_supply_gregset(), vaxbsd_collect_gregset(), and vaxbsd_supply_gregset().

## Enumeration Type Documentation

## ◆ vax_regnum

enum vax_regnum

Enumerator
VAX_R0_REGNUM |
VAX_R1_REGNUM |
VAX_AP_REGNUM |
VAX_FP_REGNUM |
VAX_SP_REGNUM |
VAX_PC_REGNUM |
VAX_PS_REGNUM |

Definition at line 25 of file vax-tdep.h.